Skip to main content
GET
Retrieve details of a Physical Card Order

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orderId
string
required

The unique identifier of the card order.

Response

Successfully retrieved card order details.

id
string<uuid>
required

The unique identifier of the card order.

Example:

"123e4567-e89b-12d3-a456-426614174000"

userId
string
required

The user id for this card order.

status
enum<string>
required

Current order status

Available options:
PENDINGTRANSACTION,
TRANSACTIONCOMPLETE,
CONFIRMATIONREQUIRED,
READY,
CARDCREATED,
FAILEDTRANSACTION,
CANCELLED
personalizationSource
enum<string>
required
Available options:
KYC,
ENS
createdAt
string<date-time>
required

When the order was created

Example:

"2023-01-09T13:45:30Z"

transactionHash
string | null

The on-chain transaction hash associated with the order.

Example:

"0x123abc..."

embossedName
string | null

The name embossed on the card.

Example:

"John Doe"

address1
string | null

The first line of the shipping address.

address2
string | null

The second line of the shipping address.

city
string | null

The city of the shipping address.

postalCode
string | null

The postal code of the shipping address.

state
string | null

The state of the shipping address.

country
string | null

The country of the shipping address.

couponCode
string

The coupon code tied to this card order

Example:

"DISCOUNT2023"

totalAmountEUR
number | null
Example:

20.99

totalDiscountEur
number
Example:

1.99